Results 1 to 5 of 5

Thread: qbittorrent fails to start after upgrade

  1. #1
    Join Date
    Sep 2010
    Location
    Poland
    Posts
    1,917

    Default qbittorrent fails to start after upgrade

    Hi,

    I've recently upgraded qbittorent to this version :
    Code:
    2012-05-09
    05:21:28|install|qbittorrent|2.9.8-18.1|i586||openSUSE_11.4|fe04fb922c6f4a7bc8093f5090599efa9f449125d5e475d1d0e782cf0c3bc87a
    After the upgrade qbittorent fails to start. I get the following error in
    the terminal :
    Code:
    grzes@opensuse:~> qbittorrent
    Couldn't set environment variable...
    Peer ID: -qB2980-
    qbittorrent: symbol lookup error: qbittorrent: undefined symbol:
    _ZN10libtorrent7session14set_alert_maskEj
    Anyone else run into the same problem ?

    --
    Best regards,
    Greg

  2. #2
    Join Date
    Sep 2010
    Location
    Poland
    Posts
    1,917

    Default Re: qbittorrent fails to start after upgrade

    Dnia 09.05.2012 o 05:37 Grzegorz Listwan
    <glistwan@no-mx.forums.opensuse.org> napisał(a):

    > Hi,
    >
    > I've recently upgraded qbittorent to this version :
    >
    Code:
    > 2012-05-09  
    > 05:21:28|install|qbittorrent|2.9.8-18.1|i586||openSUSE_11.4|fe04fb922c6f4a7bc8093f5090599efa9f449125d5e475d1d0e782cf0c3bc87a
    >
    >
    > After the upgrade qbittorent fails to start. I get the following error
    > in the terminal :
    >
    Code:
    > grzes@opensuse:~> qbittorrent
    > Couldn't set environment variable...
    > Peer ID: -qB2980-
    > qbittorrent: symbol lookup error: qbittorrent: undefined symbol:  
    > _ZN10libtorrent7session14set_alert_maskEj
    >
    >
    > Anyone else run into the same problem ?
    >

    I believe it's a bug. How do You report one against the network repo ?

    --
    Best regards,
    Greg

  3. #3
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: qbittorrent fails to start after upgrade

    On 2012-05-10 03:19, Grzegorz Listwan wrote:
    > I believe it's a bug. How do You report one against the network repo ?


    In the build service page corresponding to that repo there is a link that
    pre-fills the bugzilla. I have doubts on how to find that page, though.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  4. #4
    Join Date
    Jun 2008
    Location
    Wola (PL)
    Posts
    64

    Default Re: qbittorrent fails to start after upgrade

    Grzegorz Listwan wrote:

    > Hi,
    >
    > I've recently upgraded qbittorent to this version :
    >
    Code:
    > 2012-05-09
    > 05:21:28|install|qbittorrent|2.9.8-18.1|i586||openSUSE_11.4|
    Code:
    fe04fb922c6f4a7bc8093f5090599efa9f449125d5e475d1d0e782cf0c3bc87a
    > 

    >
    > After the upgrade qbittorent fails to start. I get the following error in
    > the terminal :
    >
    Code:
    > grzes@opensuse:~> qbittorrent
    > Couldn't set environment variable...
    > Peer ID: -qB2980-
    > qbittorrent: symbol lookup error: qbittorrent: undefined symbol:
    > _ZN10libtorrent7session14set_alert_maskEj
    >
    >
    > Anyone else run into the same problem ?
    >


    Please update libtorrent-rasterbar6 to 0.15.10 from network repo. This
    version was used to build qbittorrent and it's binary incompatible with
    older one, shipped with openSUSE 11.4.

    Hope it helps
    --
    Pozdrawiam / Greetings,
    Mariusz Fik
    openSUSE Community Member
    openSUSE 12.1 Rocks!

  5. #5
    Join Date
    Sep 2010
    Location
    Poland
    Posts
    1,917

    Default Re: qbittorrent fails to start after upgrade

    Dnia 11.05.2012 o 02:28 Fisiu <Fisiu@no-mx.forums.opensuse.org> napisał(a):

    > Grzegorz Listwan wrote:
    >
    >> Hi,
    >>
    >> I've recently upgraded qbittorent to this version :
    >>
    Code:
    >> 2012-05-09
    >> 05:21:28|install|qbittorrent|2.9.8-18.1|i586||openSUSE_11.4|
    Code:
    > fe04fb922c6f4a7bc8093f5090599efa9f449125d5e475d1d0e782cf0c3bc87a
    >> 

    >>
    >> After the upgrade qbittorent fails to start. I get the following error
    >> in
    >> the terminal :
    >>
    Code:
    >> grzes@opensuse:~> qbittorrent
    >> Couldn't set environment variable...
    >> Peer ID: -qB2980-
    >> qbittorrent: symbol lookup error: qbittorrent: undefined symbol:
    >> _ZN10libtorrent7session14set_alert_maskEj
    >>
    >>
    >> Anyone else run into the same problem ?
    >>

    >
    > Please update libtorrent-rasterbar6 to 0.15.10 from network repo. This
    > version was used to build qbittorrent and it's binary incompatible with
    > older one, shipped with openSUSE 11.4.
    >
    > Hope it helps


    Yes it does. Thank's for help and for packaging this great torrent client


    --
    Best regards,
    Greg

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •